# docker buildx history

<!---MARKER_GEN_START-->
Commands to work on build records

### Subcommands

| Name                                   | Description                                    |
|:---------------------------------------|:-----------------------------------------------|
| [`export`](buildx_history_export.md)   | Export a build into Docker Desktop bundle      |
| [`import`](buildx_history_import.md)   | Import a build into Docker Desktop             |
| [`inspect`](buildx_history_inspect.md) | Inspect a build                                |
| [`logs`](buildx_history_logs.md)       | Print the logs of a build                      |
| [`ls`](buildx_history_ls.md)           | List build records                             |
| [`open`](buildx_history_open.md)       | Open a build in Docker Desktop                 |
| [`rm`](buildx_history_rm.md)           | Remove build records                           |
| [`trace`](buildx_history_trace.md)     | Show the OpenTelemetry trace of a build record |


### Options

| Name            | Type     | Default | Description                              |
|:----------------|:---------|:--------|:-----------------------------------------|
| `--builder`     | `string` |         | Override the configured builder instance |
| `-D`, `--debug` | `bool`   |         | Enable debug logging                     |


<!---MARKER_GEN_END-->

